<div class="container-fluid">
  <div class="row" >
    <ul>
      <li>Filenames MUST be in the format: <code>&lt;alt_id2&gt;.jpg</code>, eg. <code>0012345678.jpg</code> </li>
      <li>(existing files with the same name will be overwritten)</li>
      <li> No more than 100 files at a time.</li>
    </ul>    
  </div>
  <div class="row">
    <form id="frmUpload" action="/upload/faces" method="POST" enctype="multipart/form-data"
      class="d-flex align-items-baseline">
      
      <input id="imagesSelect" class="btn btn-outline-default m-3" type="file" name="images" multiple value="Select images..." />
  
      <button id="btnUpload" class="btn btn-success float-right" type="submit" disabled>Upload profile pictures</button>
    </form>
  </div>
    <%=  (locals.hrefs && hrefs.length? 'Uploaded ' + hrefs.length + ' images:' : '') %>
    <% for (i = 0; locals.hrefs && i < hrefs.length; ++i) {%>
        <img src="<%=hrefs[i]%>" style="margin-left: 10px;">
    <% }%>
</div>

<script>
  $('#imagesSelect').on('change', function (event) {
    let cnt = (event.target.files && event.target.files.length) || 0;
    if (cnt > 0 && cnt <= 100) {
      $("#btnUpload").removeAttr('disabled');
    } else {
      $("#btnUpload").attr('disabled', 'disabled')
    }
    
  });
  
</script>